org.bouncycastle.bcpg

## Class OutputStreamPacket

- java.lang.Object
- - org.bouncycastle.bcpg.OutputStreamPacket

    public abstract class OutputStreamPacket
    extends java.lang.Object

### Field Summary

Fields
`protected BCPGOutputStream` `out`

### Constructor Summary

Constructors
Constructor and Description
`OutputStreamPacket(BCPGOutputStream out)`

### Method Summary

Methods
`abstract void` `close()`
`abstract BCPGOutputStream` `open()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected BCPGOutputStream out

### Constructor Detail

#### OutputStreamPacket

    public OutputStreamPacket(BCPGOutputStream out)

### Method Detail

#### open

    public abstract BCPGOutputStream open()
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public abstract void close()
                        throws java.io.IOException

Throws:
  `java.io.IOException`